## org.eclipse.emf.ecore.xml.type.internal
Class DataValue

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.internal.DataValue

    public final class DataValue

extends java.lang.Object

NOTE: this class is for internal use only.

Nested Class Summary
`static class` `DataValue.Base64`
`static class` `DataValue.EncodingMap`
`static class` `DataValue.HexBin`
`static class` `DataValue.TypeValidator`
`static class` `DataValue.URI` A class to represent a Uniform Resource Identifier (URI).
`static class` `DataValue.XMLChar` This class defines the basic XML character properties.

Constructor Summary
`DataValue()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataValue

    public DataValue()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.